Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.outrigger
Interface ConstrainableJavaSpaceAdmin

All Superinterfaces:
  DestroyAdmin, JavaSpaceAdmin, JoinAdmin

public interface ConstrainableJavaSpaceAdmin
extends JavaSpaceAdmin

Sub-interface of `JavaSpaceAdmin` that adds a method that allows iterators to be created with a given set of constraints.

Since:
  2.0

Field Summary

Fields inherited from interface com.sun.jini.outrigger.JavaSpaceAdmin
`USE_DEFAULT`

Method Summary
`AdminIterator` | `contents(Entry tmpl, Transaction txn)` Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction.
`AdminIterator` | `contents(Entry tmpl, Transaction txn, int fetchSize)` Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction.
`AdminIterator` | `contents(Entry tmpl, Transaction txn, int fetchSize, MethodConstraints constrains)` Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction.

Methods inherited from interface com.sun.jini.outrigger.JavaSpaceAdmin
`space`

Methods inherited from interface net.jini.admin.JoinAdmin
`addLookupAttributes, addLookupGroups, addLookupLocators, getLookupAttributes, getLookupGroups, getLookupLocators, modifyLookupAttributes, removeLookupGroups, removeLookupLocators, setLookupGroups, setLookupLocators`

Methods inherited from interface com.sun.jini.admin.DestroyAdmin
`destroy`

Method Detail

### contents

    public AdminIterator contents(Entry tmpl,
                                  Transaction txn)
                           throws TransactionException,
                                  RemoteException

  Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction.

  The interactions between other operations on the space and the returned iterator are undefined

  Note, because this is a convenience method for `contents(Entry, Transaction, int, MethodConstraints)` the constraints associated with `contents(Entry, Transaction, int, MethodConstraints)` are used for any calls though this method, not the constraints associated with this method.

  Specified by:
    `contents` in interface `JavaSpaceAdmin`
  Parameters:
    `tmpl` - The iterator should return only entries that match tmpl
    `txn` - The iterator should return only entries that match this transaction
  Throws:
    `RemoteException` - if communications with the server is necessary and it can not be completed.
    `TransactionException` - if there is a problem with `txn`.
    `SecurityException` - If the space is performing access control and it can not be confirmed that the subject making this call has permission to create an `AdminIterator` with the specified template and transaction.

### contents

    public AdminIterator contents(Entry tmpl,
                                  Transaction txn,
                                  int fetchSize)
                           throws TransactionException,
                                  RemoteException

  Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction.

  The interactions between other operations on the space and the returned iterator are undefined

  Note, because this is a convenience method for `contents(Entry, Transaction, int, MethodConstraints)` the constraints associated with `contents(Entry, Transaction, int, MethodConstraints)` are used for any calls though this method, not the constraints associated with this method.

  Specified by:
    `contents` in interface `JavaSpaceAdmin`
  Parameters:
    `tmpl` - The iterator should return only entries that match tmpl
    `txn` - The iterator should return only entries that match this transaction
    `fetchSize` - advice on how many entries to fetch when the iterator has to go to the server for more entries.
  Throws:
    `RemoteException` - if communications with the server is necessary and it can not be completed.
    `TransactionException` - if there is a problem with `txn`.
    `SecurityException` - If the space is performing access control and it can not be confirmed that the subject making this call has permission to create an `AdminIterator` with the specified template and transaction.
    `IllegalArgumentException` - if fetchSize is not postive, or `USE_DEFUALT`.

### contents

    public AdminIterator contents(Entry tmpl,
                                  Transaction txn,
                                  int fetchSize,
                                  MethodConstraints constrains)
                           throws TransactionException,
                                  RemoteException

  Return an `AdminIterator` that will iterate over all the entries in the space that match the given template and are visible under the given transaction. The returned iterator will support proxy trust verification and will enforce the specified `MethodConstraints`.

  The interactions between other operations on the space and the returned iterator are undefined

  Parameters:
    `tmpl` - The iterator should return only entries that match tmpl
    `txn` - The iterator should return only entries that match this transaction
    `fetchSize` - advice on how many entries to fetch when the iterator has to go to the server for more entries.
    `constrains` - the `MethodConstraints` the returned proxy should enforce.
  Returns:
    An object that can be used to iterate over entries in the space.
  Throws:
    `RemoteException` - if communications with the server is necessary and it can not be completed.
    `TransactionException` - if there is a problem with `txn`.
    `SecurityException` - If the space is performing access control and it can not be confirmed that the subject making this call has permission to create an `AdminIterator` with the specified template and transaction.
    `IllegalArgumentException` - if fetchSize is not postive, or `USE_DEFUALT`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved